Get a user by remote ID

Retrieves a user by its external remote ID and application name, using the integration_pair mapping table. Returns 404 if no mapping exists.

Path Parameters
  • remoteId
    Type: string
    required

    Remote ID of record to be synchronized

  • remoteApplication
    Type: string
    required

    Name of remote application

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/user/remote/{remoteId}/{remoteApplication}
curl 'https://test.boost.space/api/user/remote/{remoteId}/{remoteApplication}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "updated": "2026-01-15T09:30:00Z",
  "updatedUserId": 42,
  "labels": [
    1
  ]
}